import { CurrencyFormatOption } from '../models/dataFormatModel';
import { DataFormatTypeEnum } from '../constants/dataFormatConfig';

export declare const THOUSAND_SEPARATOR = ",";
/**
 * 格式化小数位
 */
export declare function toFixedString(value: number, digits: number, round?: boolean): string;
/**
 * 格式化小数位
 */
export declare function toFixedNumber(value: number, digits: number, round?: boolean): number;
/**
 * 换算为万元
 */
export declare function converToTenThousandYuan(value: number, digits: number, round?: boolean): number;
/**
 * 换算为亿元
 */
export declare function convertToBillionYuan(value: number, digits: number, round?: boolean): number;
/**
 * 转换为百分比数值
 */
export declare function convertToPercent(value: number, digits: number, round?: boolean): number;
/**
 * 格式化货币
 */
export declare function formatToCurrencyString(value: number, options: CurrencyFormatOption): string;
/**
 * 根据单位获转换显示的数值(把元转换为换算单位对应的值)
 */
export declare function getIndexConvertValueByUnitType(originalValue: number, convertUnitType?: string, digits?: number, round?: boolean): number;
/**
 * 根据单位获取转换显示的格式(把元转换为换算单位对应的值)
 */
export declare function getIndexFormatStringByUnitType(originalValue: number, convertUnitType: DataFormatTypeEnum): string;
/**
 *  对象深拷贝
 */
export declare function deepCopy(sourceData: any): any;
